"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapDiagnosticsToPartialMessages = void 0;
const node_os_1 = __importDefault(require("node:os"));
const typescript_1 = __importDefault(require("typescript"));
const mapDiagnosticsToPartialMessages = (host, diagnostics) => diagnostics.map((diagnostic) => {
    if (diagnostic.file === undefined || diagnostic.start === undefined)
        return {
            text: typescript_1.default.flattenDiagnosticMessageText(diagnostic.messageText, node_os_1.default.EOL, 2)
        };
    return {
        text: typescript_1.default.formatDiagnostic(diagnostic, host)
    };
});
exports.mapDiagnosticsToPartialMessages = mapDiagnosticsToPartialMessages;
